Public Member Functions

# wxFileDropTarget Class Reference
[Clipboard and Drag & Drop]

`#include <wx/dnd.h>`

Inheritance diagram for wxFileDropTarget:
[legend]

## Detailed Description

This is a drop target which accepts files (dragged from File Manager or Explorer).

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also:
  Drag and Drop Overview, wxDropSource, wxDropTarget, wxTextDropTarget

## Public Member Functions
| wxFileDropTarget ()
| Constructor.
virtual bool | OnDrop (wxCoord x, wxCoord y)
| See wxDropTarget::OnDrop().
virtual bool | OnDropFiles (wxCoord x, wxCoord y, const wxArrayString &filenames)=0
| Override this function to receive dropped files.

List of all members.

## Constructor & Destructor Documentation

wxFileDropTarget::wxFileDropTarget | ( |  | ) |

Constructor.

## Member Function Documentation

virtual bool wxFileDropTarget::OnDrop | ( | wxCoord | x,
|  | wxCoord | y |
| ) |  |  | `[virtual]`

See wxDropTarget::OnDrop().

This function is implemented appropriately for files, and calls OnDropFiles().

Reimplemented from wxDropTarget.

virtual bool wxFileDropTarget::OnDropFiles | ( | wxCoord | x,
|  | wxCoord | y,
|  | const wxArrayString & | filenames |
| ) |  |  | `[pure virtual]`

Override this function to receive dropped files.

Parameters:

  | x | The x coordinate of the mouse.
  | y | The y coordinate of the mouse.
  | filenames | An array of filenames.

Return true to accept the data, or false to veto the operation.

|  | [ top ]